| Home | Libraries | People | FAQ | More

###### grammar::recycled_ptr::recycled_ptr (6 of 6 overloads)

Constructor.

###### Synopsis

    recycled_ptr(
        recycled_ptr&& other);

###### Description

If `other` references an object, ownership is transferred including a reference to the recycle bin. After the move, the moved-from object is empty.

###### Postconditions

    &this->bin() == &other->bin() && ! this->empty() && other.empty()

###### Exception Safety

Throws nothing.

###### Parameters

Name | Description
--- | ---
`other` | The pointer to move from